Name:             centos-release-kmods
Version:          2
Release:          4%{?dist}
Summary:          CentOS Kmods SIG package repositories

License:          GPLv2
URL:              https://sigs.centos.org/kmods

Source0:          RPM-GPG-KEY-CentOS-SIG-Kmods
Source1:          centos-kmods.repo

BuildArch:        noarch

Requires:         centos-stream-release

Recommends:       epel-release


%description
This package provides the package repository files for CentOS Kmods SIG.


%prep


%build


%install
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{SOURCE0}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE1}


%clean
%{__rm} -rf %{buildroot}


%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Kmods
%config(noreplace) %{_sysconfdir}/yum.repos.d/centos-kmods.repo


%changelog
* Thu Jan 27 2022 Peter Georg <peter.georg@physik.uni-regensburg.de> - 2-4
- Add Recommends epel-release

* Mon Jan 24 2022 Peter Georg <peter.georg@physik.uni-regensburg.de> - 2-3
- Add centos-kmods-debug repository
- $contentdir not defined in CentOS Stream 9

* Thu Jan 20 2022 Peter Georg <peter.georg@physik.uni-regensburg.de> - 2-2
- Use a single config file for all repos
- Disable centos-kmods-rebuild by default

* Fri Dec 24 2021 Peter Georg <peter.georg@physik.uni-regensburg.de> - 2-1
- Initial release
